<!-- OLD FUNCTIONS ! - should be removed later -->
{% extends 'order/order_detail_base.html' %}
{% load static %}


{% block content %}
  <div id="cars" class="cars-grid cars-grid_default" v-cloak>
    <div v-for="car in objects" class="cars-grid__item">
      <div class="car car_inline">
        <a class="car__thumb" :href="'/auto/detail-auto/' + car.id">
          <img v-if="car.thumbnail" :src="car.thumbnail"/>
        </a>
        <div class="car__body">
          <h5 class="car__title"><a class="link link_title" :href="'/auto/detail-auto/' + car.vin">${ car.mark_auto ? car.mark_auto.name : '' } ${ car.model_auto ? car.model_auto.name: ''} ${ car.generation ? car.generation.name : '' }</a></h5>
          <div class="car__vin">${ car.vin ? car.vin : ''}</div>
          <div class="car__status">
            <div v-if="car.resell" class="status status_xs status_progress">перекуп</div>
          </div>
        </div>
        <div class="car__specs">
          <div class="car-specs">
            <div class="car-specs__item">${ car.year_auto && car.year_auto.year && car.year_auto.year != 'Не важно' ? car.year_auto.year + ' г.' : '-'} / ${ car.mileage ? car.mileage + ' км' : '-'}</div>
            <div class="car-specs__item">${ car.engine_type != 'Не важно' ? car.engine_type : '-'} / ${ car.engine_capacity != 'Не важно' ? car.engine_capacity : '-'} / ${ car.horsepower ? car.horsepower + ' л.с.' : '-'}</div>
            <div class="car-specs__item">${ car.transmission_type != 'Не важно' ? car.transmission_type : '-'} / ${ car.drive_type != 'Не важно' ? car.drive_type : '-'}</div>
          </div>
        </div>
        <h5 class="car__price">${ car.cost ? car.cost + ' ₽' : ''} </h5>
        {% if perms.auto.change_auto or perms.report.add_reportpodbor or perms.auto.delete_auto %}
        <div class="car__actions">
          <div class="dropdown">
            <div class="dropdown__control" @click="openDropdown">
              <div class="btn btn_m btn_circle">
                <div class="btn__icon icon icon_m">
                  <svg>
                    <use xlink:href="#icon_menu_24"></use>
                  </svg>
                </div>
              </div>
            </div>
            <div class="dropdown__content">
              <div class="menu-controls">
                {% if perms.auto.change_auto %}
                  <div class="menu-controls__item"><a class="menu-controls__link" :href="'/auto/edit-auto/' + car.id">Редактировать</a></div>
                {% endif %}
                {% if perms.report.add_reportpodbor %}
                  <div class="menu-controls__item"><a class="menu-controls__link" href="#"
                    @click.prevent="addReport(car.id, order_id)"
                    >Добавить авто</a></div>
                {% endif %}
                {% if field_perms.order.cars %}
                  <div class="menu-controls__item"><a class="menu-controls__link" href="#" @click.prevent="removeObject(car)">Удалить</a></div>
                {% endif %}
              </div>
            </div>
          </div>
        </div>
        {% endif %}
      </div>
    </div>
  </div>
{% endblock %}

{% block script %}
  {{ block.super }}
  <script>
    var store = { state: {}};
    {% if order_id %}
      var order_id = {{ order_id|default:'null' }};
    {% endif %}
  </script>
  <script src="{% static 'js/ordercarlist.bundle.js' %}"></script>
{% endblock %}
